# CopySourceSpec

interface CopySourceSpec

Specifies sources for a file copy.

#### Inheritors

CopySpec

## Functions

from
Link copied to clipboard
abstract fun from(@Nullable sourcePaths: Array<@Nullable Any>): CopySourceSpec
Specifies source files or directories for a copy.
abstract fun from(sourcePath: Any, @DelegatesTo(value = CopySpec::class) configureClosure: Closure): CopySourceSpec
Specifies the source files or directories for a copy and creates a child `CopySourceSpec`.
abstract fun from(sourcePath: Any, configureAction: Action<in CopySpec>): CopySourceSpec
Specifies the source files or directories for a copy and creates a child `CopySpec`.